Subject: Incorrect regexp match with explicitly numbered blocks

From: Vitalie Spinu <[email-masked]>
Date: Sat, 09 Jun 2012 23:26:28 +0200

Hi, 

Assume this buffer's text. M-x regexp-builder and try this regexp
"\\(?:^Hi\\)" which works correctly. Modify to "\\(?2:^Hi\\)" and you
will see that ^ is taken literally and does not match bol anymore.

I've tried this in emacs 23 and on GNU Emacs 24.1.50.1
(i686-pc-linux-gnu, GTK+ Version 3.4.2) of 2012-06-08 on lakoocha,
modified by Debian.

Vitalie.